xmonad-contrib-0.18.0: Community-maintained extensions for xmonad

Copyright | (c) 2007 James Webb
License | BSD3-style (see LICENSE)
Maintainer | xmonad#jwebb,sygneca,com
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell2010

XMonad.Layout.Maximize

Contents

- Usage

Description

Temporarily yanks the focused window out of the layout to mostly fill the screen.

Synopsis

- maximize :: LayoutClass l Window => l Window -> ModifiedLayout Maximize l Window
- maximizeWithPadding :: LayoutClass l Window => Dimension -> l Window -> ModifiedLayout Maximize l Window
- maximizeRestore :: Window -> MaximizeRestore
- data Maximize a
- data MaximizeRestore

# Usage

You can use this module with the following in your `xmonad.hs`:

    import XMonad.Layout.Maximize

Then edit your `layoutHook` by adding the Maximize layout modifier:

    myLayout = maximize (Tall 1 (3/100) (1/2)) ||| Full ||| etc..)
    main = xmonad def { layoutHook = myLayout }

Or, if you want to control the amount of padding placed around the maximized window:

    myLayout = maximizeWithPadding 10 (Tall 1 (3/100) (1/2)) ||| Full ||| etc..)
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see the tutorial and XMonad.Doc.Extending.

In the key-bindings, do something like:

           , ((modm, xK_backslash), withFocused (sendMessage . maximizeRestore))
           ...

For detailed instruction on editing the key binding see:

the tutorial.

maximize :: LayoutClass l Window => l Window -> ModifiedLayout Maximize l Window #

maximizeWithPadding :: LayoutClass l Window => Dimension -> l Window -> ModifiedLayout Maximize l Window #

Like `maximize`, but allows you to specify the amount of padding placed around the maximized window.

maximizeRestore :: Window -> MaximizeRestore #

data Maximize a #

#### Instances

Instances details

LayoutModifier Maximize Window # |

Instance details

Defined in XMonad.Layout.Maximize

Methods

modifyLayout :: LayoutClass l Window => Maximize Window -> Workspace WorkspaceId (l Window) Window -> Rectangle -> X ([(Window, Rectangle)], Maybe (l Window)) #

modifyLayoutWithUpdate :: LayoutClass l Window => Maximize Window -> Workspace WorkspaceId (l Window) Window -> Rectangle -> X (([(Window, Rectangle)], Maybe (l Window)), Maybe (Maximize Window)) #

handleMess :: Maximize Window -> SomeMessage -> X (Maybe (Maximize Window)) #

handleMessOrMaybeModifyIt :: Maximize Window -> SomeMessage -> X (Maybe (Either (Maximize Window) SomeMessage)) #

pureMess :: Maximize Window -> SomeMessage -> Maybe (Maximize Window) #

redoLayout :: Maximize Window -> Rectangle -> Maybe (Stack Window) -> [(Window, Rectangle)] -> X ([(Window, Rectangle)], Maybe (Maximize Window)) #

pureModifier :: Maximize Window -> Rectangle -> Maybe (Stack Window) -> [(Window, Rectangle)] -> ([(Window, Rectangle)], Maybe (Maximize Window)) #

hook :: Maximize Window -> X () #

unhook :: Maximize Window -> X () #

modifierDescription :: Maximize Window -> String #

modifyDescription :: LayoutClass l Window => Maximize Window -> l Window -> String #

Read (Maximize a) # |
Instance details Defined in XMonad.Layout.Maximize Methods readsPrec :: Int -> ReadS (Maximize a) # readList :: ReadS [Maximize a] # readPrec :: ReadPrec (Maximize a) # readListPrec :: ReadPrec [Maximize a] #
Show (Maximize a) # |
Instance details Defined in XMonad.Layout.Maximize Methods showsPrec :: Int -> Maximize a -> ShowS # show :: Maximize a -> String # showList :: [Maximize a] -> ShowS #

data MaximizeRestore #

#### Instances

Instances details

Eq MaximizeRestore # |
Instance details Defined in XMonad.Layout.Maximize Methods (==) :: MaximizeRestore -> MaximizeRestore -> Bool # (/=) :: MaximizeRestore -> MaximizeRestore -> Bool #
Message MaximizeRestore # |
Instance details Defined in XMonad.Layout.Maximize